%define pypi_name stevedore

Name:           python-%{pypi_name}
Version:        5.1.0
Release:        %mkrel 1
Summary:        Manage dynamic plugins for Python applications
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/stevedore/
Source0:        %{pypi_source}
Patch1:         stevedore-reqs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Manage dynamic plugins for Python applications.

%package -n python3-%{pypi_name}
Summary:        Manage dynamic plugins for Python 3 applications
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Manage dynamic plugins for Python 3 applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


%changelog
* Mon Dec 18 2023 wally <wally> 5.1.0-1.mga10
+ Revision: 2018897
- new version 5.1.0
- use %%pyproject_buildrequires

* Mon Aug 22 2022 wally <wally> 4.0.0-1.mga9
+ Revision: 1879425
- new version 4.0.0
- switch build to use pyproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 3.5.0-2.mga9
+ Revision: 1824903
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 3.5.0-1.mga9
+ Revision: 1781517
- version 3.5.0
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 3.3.0-2.mga9
+ Revision: 1707035
- relax pbr dependency

* Sun Mar 21 2021 daviddavid <daviddavid> 3.3.0-1.mga9
+ Revision: 1706404
- new version: 3.3.0
- rebuild for python 3.9

* Sat Oct 31 2020 guillomovitch <guillomovitch> 3.2.2-1.mga8
+ Revision: 1640815
- new version 3.2.2

* Wed Jun 24 2020 daviddavid <daviddavid> 1.32.0-1.mga8
+ Revision: 1599012
- new version: 1.32.0

* Thu Feb 20 2020 umeabot <umeabot> 1.31.0-2.mga8
+ Revision: 1546024
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.31.0-1.mga8
+ Revision: 1485704
- new version: 1.31.0

* Sun Sep 15 2019 tv <tv> 1.30.1-2.mga8
+ Revision: 1441257
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jul 07 2019 daviddavid <daviddavid> 1.30.1-1.mga8
+ Revision: 1419307
- new version: 1.30.1

* Wed Jan 09 2019 kekepower <kekepower> 1.30.0-2.mga7
+ Revision: 1353317
- Use python_provide

* Tue Jan 08 2019 shlomif <shlomif> 1.30.0-1.mga7
+ Revision: 1352171
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.25.0-3.mga7
+ Revision: 1290271
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.25.0-2.mga7
+ Revision: 1168818
- add BR on python2dist(pbr) thus fixing build

* Tue Aug 08 2017 daviddavid <daviddavid> 1.25.0-1.mga7
+ Revision: 1138848
- new version: 1.25.0
- rename python-stevedore to python2-stevedore

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-3.mga7
+ Revision: 1135652
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.8.0-2.mga6
+ Revision: 970950
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 888812
- new version: 1.8.0 + rebuild for python 3.5
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 1.7.0-1.mga6
+ Revision: 871286
- 1.7.0

* Wed Jan 21 2015 bcornec <bcornec> 1.2.0-1.mga5
+ Revision: 811697
- Update to upstream 1.2.0
-Update to upstream 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.12-6.mga5
+ Revision: 750457
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.12-5.mga5
+ Revision: 729838
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.12-4.mga5
+ Revision: 688354
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.12-3.mga5
+ Revision: 629033
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.12-2.mga4
+ Revision: 545021
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 0.12-1.mga4
+ Revision: 500649
- Update to 0.12, add Python 3

* Tue Oct 15 2013 pterjan <pterjan> 0.10-2.mga4
+ Revision: 499462
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10-1.mga4
+ Revision: 460848
- imported package python-stevedore

